! Replaces comgeom2.h

! AB 07/24: NOTE: THIS USES A LEGACY COMMON BLOCK SHARED WITH comgeom_mod_h.f90 !
! See comgeom_mod_h.f90 comment.

MODULE comgeom2_mod_h
  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
  USE paramet_mod_h
  IMPLICIT NONE; PRIVATE
  PUBLIC                                                               &
          cu, cv, unscu2, unscv2, aire, airesurg, aireu, airev, apoln, apols, unsaire &
          , unsairez, airuscv2, airvscu2, aireij1, aireij2, aireij3, aireij4, &
          alpha1, alpha2, alpha3, alpha4, alpha1p2, alpha1p4, alpha2p3, alpha3p4, &
          fext, constang, rlatu, rlatv, rlonu, rlonv, cuvscvgam1, cuvscvgam2, &
          cvuscugam1, cvuscugam2, cvscuvgam, cuscvugam, unsapolnga1, &
          unsapolnga2, unsapolsga1, unsapolsga2, unsair_gam1, unsair_gam2, &
          unsairz_gam, aivscu2gam, aiuscv2gam, cuvsurcv, cvsurcuv, cvusurcu, &
          cusurcvu, xprimu, xprimv

  COMMON/comgeom/                                                   &
          cu(iip1, jjp1), cv(iip1, jjm), unscu2(iip1, jjp1), unscv2(iip1, jjm), &
          aire(iip1, jjp1), airesurg(iip1, jjp1), aireu(iip1, jjp1), &
          airev(iip1, jjm), unsaire(iip1, jjp1), apoln, apols, &
          unsairez(iip1, jjm), airuscv2(iip1, jjm), airvscu2(iip1, jjm), &
          aireij1(iip1, jjp1), aireij2(iip1, jjp1), aireij3(iip1, jjp1), &
          aireij4(iip1, jjp1), alpha1(iip1, jjp1), alpha2(iip1, jjp1), &
          alpha3(iip1, jjp1), alpha4(iip1, jjp1), alpha1p2(iip1, jjp1), &
          alpha1p4(iip1, jjp1), alpha2p3(iip1, jjp1), alpha3p4(iip1, jjp1), &
          fext(iip1, jjm), constang(iip1, jjp1), rlatu(jjp1), rlatv(jjm), &
          rlonu(iip1), rlonv(iip1), cuvsurcv(iip1, jjm), cvsurcuv(iip1, jjm), &
          cvusurcu(iip1, jjp1), cusurcvu(iip1, jjp1), &
          cuvscvgam1(iip1, jjm), cuvscvgam2(iip1, jjm), cvuscugam1(iip1, jjp1), &
          cvuscugam2(iip1, jjp1), cvscuvgam(iip1, jjm), cuscvugam(iip1, jjp1), &
          unsapolnga1, unsapolnga2, unsapolsga1, unsapolsga2, &
          unsair_gam1(iip1, jjp1), unsair_gam2(iip1, jjp1), &
          unsairz_gam(iip1, jjm), aivscu2gam(iip1, jjm), aiuscv2gam(iip1, jjm)  &
          , xprimu(iip1), xprimv(iip1)

  REAL                                                               &
          cu, cv, unscu2, unscv2, aire, airesurg, aireu, airev, apoln, apols, unsaire &
          , unsairez, airuscv2, airvscu2, aireij1, aireij2, aireij3, aireij4, &
          alpha1, alpha2, alpha3, alpha4, alpha1p2, alpha1p4, alpha2p3, alpha3p4, &
          fext, constang, rlatu, rlatv, rlonu, rlonv, cuvscvgam1, cuvscvgam2, &
          cvuscugam1, cvuscugam2, cvscuvgam, cuscvugam, unsapolnga1, &
          unsapolnga2, unsapolsga1, unsapolsga2, unsair_gam1, unsair_gam2, &
          unsairz_gam, aivscu2gam, aiuscv2gam, cuvsurcv, cvsurcuv, cvusurcu, &
          cusurcvu, xprimu, xprimv

END MODULE comgeom2_mod_h
